libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.214. __nv_llrint

Prototype:

    i64 @__nv_llrint(double %x)

Description:

Round `x` to the nearest integer value, with halfway cases rounded towards zero. If the result is outside the range of the return type, the result is undefined.

Returns:

Returns rounded integer value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes